<label>Server Name</label>
<!-- <input type="text" (input)="onUpdateServerName($event)"> -->
<input type="text" [(ngModel)]="serverName">

<br />
<!-- <p>{{serverName}}</p> -->
<button style="background-color:blueviolet" mat-button [disabled]="!allowNewServer" (click)="onCreateServer()">Add
  Server</button>
<!-- <p [innerText]="allowNewServer"></p> -->
<!-- <p>{{ serverCreationStatus }}</p> -->

<p>Server was created, server name is {{ serverName }}</p>
<app-server></app-server>
<app-server></app-server>
